> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get devices



## OpenAPI

````yaml /openapi.json get /devices/{id}
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /devices/{id}:
    get:
      tags:
        - Device
      operationId: get-devices-id
      parameters:
        - name: id
          schema:
            type: string
            format: uuid
          in: path
          required: true
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DeviceResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    DeviceResponse:
      type: object
      title: DeviceResponse
      required:
        - id
        - mac_address
        - device_name
        - is_paired
        - is_online
        - created_at
      properties:
        id:
          type: string
        mac_address:
          type: string
        device_name:
          type: string
        firmware_version:
          type: string
        user_id:
          type: string
        active_session_id:
          type: string
        default_workspace_id:
          type: string
        default_workspace_name:
          type: string
        last_seen:
          type: string
        is_paired:
          type: boolean
        is_online:
          type: boolean
        created_at:
          type: string
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string

````